Hibernate Search now compatible with Elasticsearch versions 2.0 to 5.6


(Sanne) #1

Hello everyone,

the Hibernate community released a new version of Hibernate Search: 5.8.0.Final

The highlight is that it's now compatible with all versions of Elasticsearch from version 2.0 to 5.6!

And of course we also implemented loads of other improvements, almost two hundred issues resolved!
From higher throughput, a better Simple Query DSL, more advanced options for Analyzer configurations, smarter usage of the Elasticsearch REST Client, just to name a few.

For more details see the announcement on the Hibernate blog:

Or check out the project's website:

Have fun!
Sanne